* [gentoo-commits] gentoo-x86 commit in sys-fs/zfs: zfs-9999.ebuild zfs-0.6.0_rc13-r1.ebuild ChangeLog
@ 2013-01-23 13:50 Richard Yao (ryao)
0 siblings, 0 replies; 2+ messages in thread
From: Richard Yao (ryao) @ 2013-01-23 13:50 UTC (permalink / raw
To: gentoo-commits
ryao 13/01/23 13:50:21
Modified: zfs-9999.ebuild zfs-0.6.0_rc13-r1.ebuild ChangeLog
Log:
Make sys-fs/zfs-9999 add itself to the module database to ensure that the
userland-kernel interface remains in sync when using the 9999 ebuilds.
(Portage version: 2.1.11.31/cvs/Linux x86_64, unsigned Manifest commit)
Revision Changes Path
1.41 sys-fs/zfs/zfs-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?rev=1.41&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?rev=1.41&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?r1=1.40&r2=1.41
Index: zfs-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v
retrieving revision 1.40
retrieving revision 1.41
diff -u -r1.40 -r1.41
--- zfs-9999.ebuild 11 Jan 2013 06:13:59 -0000 1.40
+++ zfs-9999.ebuild 23 Jan 2013 13:50:21 -0000 1.41
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v 1.40 2013/01/11 06:13:59 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v 1.41 2013/01/23 13:50:21 ryao Exp $
EAPI="4"
@@ -8,10 +8,8 @@
AUTOTOOLS_AUTORECONF="1"
AUTOTOOLS_IN_SOURCE_BUILD="1"
-inherit bash-completion-r1 flag-o-matic toolchain-funcs autotools-utils udev
-
if [ ${PV} == "9999" ] ; then
- inherit git-2
+ inherit git-2 linux-mod
EGIT_REPO_URI="git://github.com/zfsonlinux/${PN}.git"
else
inherit eutils versionator
@@ -21,6 +19,8 @@
KEYWORDS="~amd64"
fi
+inherit bash-completion-r1 flag-o-matic toolchain-funcs autotools-utils udev
+
DESCRIPTION="Userland utilities for ZFS Linux kernel module"
HOMEPAGE="http://zfsonlinux.org/"
@@ -58,6 +58,10 @@
)
"
+pkg_setup() {
+ :
+}
+
src_prepare() {
# Workaround for hard coded path
sed -i "s|/sbin/lsmod|/bin/lsmod|" scripts/common.sh.in || die
@@ -92,6 +96,13 @@
pkg_postinst() {
+ if [ ${PV} = "9999" ]
+ then
+ einfo "Adding ${P} to the module database to ensure that the"
+ einfo "kernel modules and userland utilities stay in sync."
+ update_moduledb
+ fi
+
[ -e "${EROOT}/etc/runlevels/boot/zfs" ] \
|| ewarn 'You should add zfs to the boot runlevel.'
@@ -102,3 +113,10 @@
fi
}
+
+pkg_postrm() {
+ if [ ${PV} = "9999" ]
+ then
+ remove_moduledb
+ fi
+}
1.2 sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?r1=1.1&r2=1.2
Index: zfs-0.6.0_rc13-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- zfs-0.6.0_rc13-r1.ebuild 5 Jan 2013 16:21:37 -0000 1.1
+++ zfs-0.6.0_rc13-r1.ebuild 23 Jan 2013 13:50:21 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v 1.1 2013/01/05 16:21:37 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v 1.2 2013/01/23 13:50:21 ryao Exp $
EAPI="4"
@@ -8,10 +8,8 @@
AUTOTOOLS_AUTORECONF="1"
AUTOTOOLS_IN_SOURCE_BUILD="1"
-inherit bash-completion-r1 flag-o-matic toolchain-funcs autotools-utils udev
-
if [ ${PV} == "9999" ] ; then
- inherit git-2
+ inherit git-2 linux-mod
EGIT_REPO_URI="git://github.com/zfsonlinux/${PN}.git"
else
inherit eutils versionator
@@ -21,6 +19,8 @@
KEYWORDS="~amd64"
fi
+inherit bash-completion-r1 flag-o-matic toolchain-funcs autotools-utils udev
+
DESCRIPTION="Userland utilities for ZFS Linux kernel module"
HOMEPAGE="http://zfsonlinux.org/"
@@ -58,6 +58,10 @@
)
"
+pkg_setup() {
+ :
+}
+
src_prepare() {
# Workaround for hard coded path
sed -i "s|/sbin/lsmod|/bin/lsmod|" scripts/common.sh.in || die
@@ -92,6 +96,13 @@
pkg_postinst() {
+ if [ ${PV} = "9999" ]
+ then
+ einfo "Adding ${P} to the module database to ensure that the"
+ einfo "kernel modules and userland utilities stay in sync."
+ update_moduledb
+ fi
+
[ -e "${EROOT}/etc/runlevels/boot/zfs" ] \
|| ewarn 'You should add zfs to the boot runlevel.'
@@ -102,3 +113,10 @@
fi
}
+
+pkg_postrm() {
+ if [ ${PV} = "9999" ]
+ then
+ remove_moduledb
+ fi
+}
1.56 sys-fs/zfs/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?rev=1.56&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?rev=1.56&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?r1=1.55&r2=1.56
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v
retrieving revision 1.55
retrieving revision 1.56
diff -u -r1.55 -r1.56
--- ChangeLog 11 Jan 2013 06:13:59 -0000 1.55
+++ ChangeLog 23 Jan 2013 13:50:21 -0000 1.56
@@ -1,6 +1,11 @@
# ChangeLog for sys-fs/zfs
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v 1.55 2013/01/11 06:13:59 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v 1.56 2013/01/23 13:50:21 ryao Exp $
+
+ 23 Jan 2013; Richard Yao <ryao@gentoo.org> zfs-0.6.0_rc13-r1.ebuild,
+ zfs-9999.ebuild:
+ Make sys-fs/zfs-9999 add itself to the module database to ensure that the
+ userland-kernel interface remains in sync when using the 9999 ebuilds.
11 Jan 2013; Richard Yao <ryao@gentoo.org> zfs-9999.ebuild:
Synchronize zfs-9999.ebuild with zfs-0.6.0_rc13-r1.ebuild, bug #451016. Thanks
^ permalink raw reply [flat|nested] 2+ messages in thread
* [gentoo-commits] gentoo-x86 commit in sys-fs/zfs: zfs-9999.ebuild zfs-0.6.0_rc13-r1.ebuild ChangeLog
@ 2013-01-23 14:20 Richard Yao (ryao)
0 siblings, 0 replies; 2+ messages in thread
From: Richard Yao (ryao) @ 2013-01-23 14:20 UTC (permalink / raw
To: gentoo-commits
ryao 13/01/23 14:20:17
Modified: zfs-9999.ebuild zfs-0.6.0_rc13-r1.ebuild ChangeLog
Log:
Do not add sys-fs/zfs-9999 to package database with USE=kernel-builtin
(Portage version: 2.1.11.31/cvs/Linux x86_64, unsigned Manifest commit)
Revision Changes Path
1.42 sys-fs/zfs/zfs-9999.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?rev=1.42&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?rev=1.42&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild?r1=1.41&r2=1.42
Index: zfs-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v
retrieving revision 1.41
retrieving revision 1.42
diff -u -r1.41 -r1.42
--- zfs-9999.ebuild 23 Jan 2013 13:50:21 -0000 1.41
+++ zfs-9999.ebuild 23 Jan 2013 14:20:17 -0000 1.42
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v 1.41 2013/01/23 13:50:21 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-9999.ebuild,v 1.42 2013/01/23 14:20:17 ryao Exp $
EAPI="4"
@@ -96,7 +96,7 @@
pkg_postinst() {
- if [ ${PV} = "9999" ]
+ if ! use kernel-builtin && [ ${PV} = "9999" ]
then
einfo "Adding ${P} to the module database to ensure that the"
einfo "kernel modules and userland utilities stay in sync."
@@ -115,7 +115,7 @@
}
pkg_postrm() {
- if [ ${PV} = "9999" ]
+ if ! use kernel-builtin && [ ${PV} = "9999" ]
then
remove_moduledb
fi
1.3 sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild?r1=1.2&r2=1.3
Index: zfs-0.6.0_rc13-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- zfs-0.6.0_rc13-r1.ebuild 23 Jan 2013 13:50:21 -0000 1.2
+++ zfs-0.6.0_rc13-r1.ebuild 23 Jan 2013 14:20:17 -0000 1.3
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v 1.2 2013/01/23 13:50:21 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/zfs-0.6.0_rc13-r1.ebuild,v 1.3 2013/01/23 14:20:17 ryao Exp $
EAPI="4"
@@ -96,7 +96,7 @@
pkg_postinst() {
- if [ ${PV} = "9999" ]
+ if ! use kernel-builtin && [ ${PV} = "9999" ]
then
einfo "Adding ${P} to the module database to ensure that the"
einfo "kernel modules and userland utilities stay in sync."
@@ -115,7 +115,7 @@
}
pkg_postrm() {
- if [ ${PV} = "9999" ]
+ if ! use kernel-builtin && [ ${PV} = "9999" ]
then
remove_moduledb
fi
1.57 sys-fs/zfs/ChangeLog
file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?rev=1.57&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?rev=1.57&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/sys-fs/zfs/ChangeLog?r1=1.56&r2=1.57
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v
retrieving revision 1.56
retrieving revision 1.57
diff -u -r1.56 -r1.57
--- ChangeLog 23 Jan 2013 13:50:21 -0000 1.56
+++ ChangeLog 23 Jan 2013 14:20:17 -0000 1.57
@@ -1,6 +1,10 @@
# ChangeLog for sys-fs/zfs
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v 1.56 2013/01/23 13:50:21 ryao Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-fs/zfs/ChangeLog,v 1.57 2013/01/23 14:20:17 ryao Exp $
+
+ 23 Jan 2013; Richard Yao <ryao@gentoo.org> zfs-0.6.0_rc13-r1.ebuild,
+ zfs-9999.ebuild:
+ Do not add sys-fs/zfs-9999 to package database with USE=kernel-builtin
23 Jan 2013; Richard Yao <ryao@gentoo.org> zfs-0.6.0_rc13-r1.ebuild,
zfs-9999.ebuild:
^ permalink raw reply [flat|nested] 2+ messages in thread
end of thread, other threads:[~2013-01-23 14:20 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2013-01-23 13:50 [gentoo-commits] gentoo-x86 commit in sys-fs/zfs: zfs-9999.ebuild zfs-0.6.0_rc13-r1.ebuild ChangeLog Richard Yao (ryao)
-- strict thread matches above, loose matches on Subject: below --
2013-01-23 14:20 Richard Yao (ryao)
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox